services:
  wgdashboard:
    image: ghcr.io/wgdashboard/wgdashboard:latest
    container_name: wgdashboard
    restart: unless-stopped
    ports:
      - "10086:10086/tcp"
      - "51820:51820/udp"
    volumes:
      - /opt/Docker-Deployments/wireguard/conf:/etc/wireguard
      - /opt/Docker-Deployments/wireguard/data:/data
    cap_add:
      - NET_ADMIN
    networks:
      - external  
    environment:
      - GUNICORN_WORKERS=1       # Keeps RAM usage low by only running 1 worker process
      - GUNICORN_TIMEOUT=120     # Raises timeout to 2 minutes so long tasks don't trigger a restart
      - GUNICORN_WORKER_CLASS=sync # Prevents threading conflicts during background updates
networks:
  external:
    external: true    # Tells Compose not to create this network.. 